import 'package:barcode_scanner_mlkit/barcode_scanner_mlkit.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  List<String> barcodes = [];

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Scanner app'),
        ),
        body: Center(
          child: Column(
            children: [
              Text(barcodes.join("\n")),
              TextButton(
                child: const Text("Scan"),
                onPressed: () async {
                  var barcodes = await BarcodeScannerMlkit.scan();
                  if (barcodes != null && barcodes.isNotEmpty) {
                    setState(() {
                      this.barcodes = barcodes;
                    });
                  }
                },
              )
            ],
          ),
        ),
      ),
    );
  }
}
