import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:barcode_scanner_mlkit/barcode_scanner_mlkit.dart';

void main() {
  const MethodChannel channel = MethodChannel('barcode_scanner_mlkit');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await BarcodeScannerMlkit.platformVersion, '42');
  });
}
